Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Prepare for the 6.6.0 release.

  • Loading branch information...
commit ad4076075276ec24d6a90c736eb32e88e51dbed5 1 parent 868c410
@Util Util authored
View
3  CREDITS
@@ -236,8 +236,9 @@ E: bruce.gray@acm.org
D: Improvements to Config, Build, and Test sub-systems.
D: Cage cleaning, codingstd, warnings, and doc corrections.
D: Darwin and Win32 platform fixes.
-D: Release manager (5.1.0 - 5.7.0, 5.10.0, 6.0.0, 6.2.0, 6.4.0)
+D: Release manager (5.1.0 - 5.7.0, 5.10.0, 6.0.0, 6.2.0, 6.4.0, 6.6.0)
D: GSoC 2013 Org Admin
+D: GSoC 2014 Mentor (Backup)
S: Auburn, AL, USA
N: Bryan C. Warnock
View
11 ChangeLog
@@ -1,9 +1,16 @@
+2014-08-19 release 6.7.0
+ - Core
+ - Build
+ - Documentation
+ - Tests
+ - Community
+
2014-07-15 release 6.6.0
- Core
+ Optimized method call overhead at compile-time in pmc2c directly
to avoid run-time overhead. Less temp. PMC's, less branches and
avoiding at least 2 costly C functions per method call.
- New arity warning:
+ + New arity warning:
"wrong number of arguments: %d passed, %d expected" [GH #1080]
- Build
+ Workaround libffi-3.1 upstream bug in ffi.h [GH #1081]
@@ -11,6 +18,8 @@
- Tests
+ Fix t/pmc/filehandle.t on cygwin with newer Cwd >= 3.40 [GH #1077]
- Community
+ + Our GSoC student passed the project midterm, having made great progress.
+ Congratulations to Chirag Agrawal!
+ More parrot-bench numbers at https://github.com/parrot/parrot-bench,
now using gnuplot for all releases from 1.8.0 - 6.6.0, amd64 + -m32
View
2  VERSION
@@ -1 +1 @@
-6.5.0
+6.6.0
View
1  docs/parrothist.pod
@@ -174,5 +174,6 @@ Starred release numbers indicate supported releases.
rurban 6.3.0 * 2014-Apr-15 "Black-cheeked Lovebird"
Util 6.4.0 2014-May-20 "Double-eyed Fig Parrot"
rurban 6.5.0 2014-Jun-17 "Black-winged Lovebird"
+ Util 6.6.0 * 2014-Jul-15 "Parrothead"
=cut
View
3  docs/project/release_manager_guide.pod
@@ -572,9 +572,8 @@ L<http://www.google.com/calendar/render?cid=ldhctdamsgfg5a1cord52po9h8@group.cal
Make sure that at least the next two releases are covered
- - Jul 15, 2014 - 6.6.0 - Util
- Aug 19, 2014 - 6.7.0 - rurban
- - Sep 16, 2014 - 6.8.0 - ??
+ - Sep 16, 2014 - 6.8.0 - Util
- Oct 21, 2014 - 6.9.0 - ??
=cut
View
14 tools/release/release.json
@@ -1,9 +1,9 @@
{
- "release.version" : "6.5.0",
- "release.name" : "Black-winged Lovebird",
+ "release.version" : "6.6.0",
+ "release.name" : "Parrothead",
"release.day" : "Tuesday",
- "release.nextdate" : "15 Jul 2014",
- "release.type" : "devel",
+ "release.nextdate" : "19 Aug 2014",
+ "release.type" : "supported",
"web.root" : "http://parrot.org/",
"web.source" : "download",
@@ -12,10 +12,10 @@
"web.org_root" : "https://github.com/parrot",
"bugday.day" : "Saturday",
- "bugday.date" : "12 Jul 2014",
+ "bugday.date" : "16 Aug 2014",
"wiki.root" : "https://github.com/parrot/parrot/wiki",
- "wiki.bugday" : "bug_day_2014_07_12",
+ "wiki.bugday" : "bug_day_2014_08_16",
- "ftp.path" : "ftp://ftp.parrot.org/pub/parrot/releases/devel/6.5.0/"
+ "ftp.path" : "ftp://ftp.parrot.org/pub/parrot/releases/supported/6.6.0/"
}
Please sign in to comment.
Something went wrong with that request. Please try again.